Package org.lwjgl.opengl

# Class GL33

java.lang.Object
org.lwjgl.opengl.GL33

public final class GL33 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ANY_SAMPLES_PASSED`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_INT_2_10_10_10_REV`
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*
`static final int`
`GL_MAX_DUAL_SOURCE_DRAW_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:
`static final int`
`GL_ONE_MINUS_SRC1_ALPHA`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_ONE_MINUS_SRC1_COLOR`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_RGB10_A2UI`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, RenderbufferStorage and RenderbufferStorageMultisample:
`static final int`
`GL_SAMPLER_BINDING`
Accepted by the <value> parameter of the GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev functions:
`static final int`
`GL_SRC1_COLOR`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_TEXTURE_SWIZZLE_A`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_B`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_G`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_R`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_RGBA`
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TIME_ELAPSED`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_TIMESTAMP`
Accepted by the <target> parameter of GetQueryiv and QueryCounter.
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_DIVISOR`
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, and GetVertexAttribiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFragDataLocationIndexed(int program, int colorNumber, int index, CharSequence name)`
Overloads glBindFragDataLocationIndexed.
`static void`
`glBindFragDataLocationIndexed(int program, int colorNumber, int index, ByteBuffer name)`
`static void`
`glBindSampler(int unit, int sampler)`
`static void`
`glColorP3u(int type, IntBuffer color)`
`static void`
`glColorP3ui(int type, int color)`
`static void`
`glColorP4u(int type, IntBuffer color)`
`static void`
`glColorP4ui(int type, int color)`
`static void`
`glDeleteSamplers(int sampler)`
Overloads glDeleteSamplers.
`static void`
`glDeleteSamplers(IntBuffer samplers)`
`static int`
`glGenSamplers()`
Overloads glGenSamplers.
`static void`
`glGenSamplers(IntBuffer samplers)`
`static int`
`glGetFragDataIndex(int program, CharSequence name)`
Overloads glGetFragDataIndex.
`static int`
`glGetFragDataIndex(int program, ByteBuffer name)`
`static long`
`glGetQueryObject(int id, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetQueryObject(int id, int pname, LongBuffer params)`
`static long`
`glGetQueryObjecti64(int id, int pname)`
Overloads glGetQueryObjecti64v.
`static long`
`glGetQueryObjectu(int id, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetQueryObjectu(int id, int pname, LongBuffer params)`
`static long`
`glGetQueryObjectui64(int id, int pname)`
Overloads glGetQueryObjectui64v.
`static void`
`glGetSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glGetSamplerParameter(int sampler, int pname, IntBuffer params)`
`static float`
`glGetSamplerParameterf(int sampler, int pname)`
Overloads glGetSamplerParameterfv.
`static int`
`glGetSamplerParameteri(int sampler, int pname)`
Overloads glGetSamplerParameteriv.
`static void`
`glGetSamplerParameterI(int sampler, int pname, IntBuffer params)`
`static int`
`glGetSamplerParameterIi(int sampler, int pname)`
Overloads glGetSamplerParameterIiv.
`static void`
`glGetSamplerParameterIu(int sampler, int pname, IntBuffer params)`
`static int`
`glGetSamplerParameterIui(int sampler, int pname)`
Overloads glGetSamplerParameterIuiv.
`static boolean`
`glIsSampler(int sampler)`
`static void`
`glMultiTexCoordP1u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP1ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP2u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP2ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP3u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP3ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP4u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP4ui(int texture, int type, int coords)`
`static void`
`glNormalP3u(int type, IntBuffer coords)`
`static void`
`glNormalP3ui(int type, int coords)`
`static void`
`glQueryCounter(int id, int target)`
`static void`
`glSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glSamplerParameter(int sampler, int pname, IntBuffer params)`
`static void`
`glSamplerParameterf(int sampler, int pname, float param)`
`static void`
`glSamplerParameteri(int sampler, int pname, int param)`
`static void`
`glSamplerParameterI(int sampler, int pname, IntBuffer params)`
`static void`
`glSamplerParameterIu(int sampler, int pname, IntBuffer params)`
`static void`
`glSecondaryColorP3u(int type, IntBuffer color)`
`static void`
`glSecondaryColorP3ui(int type, int color)`
`static void`
`glTexCoordP1u(int type, IntBuffer coords)`
`static void`
`glTexCoordP1ui(int type, int coords)`
`static void`
`glTexCoordP2u(int type, IntBuffer coords)`
`static void`
`glTexCoordP2ui(int type, int coords)`
`static void`
`glTexCoordP3u(int type, IntBuffer coords)`
`static void`
`glTexCoordP3ui(int type, int coords)`
`static void`
`glTexCoordP4u(int type, IntBuffer coords)`
`static void`
`glTexCoordP4ui(int type, int coords)`
`static void`
`glVertexAttribDivisor(int index, int divisor)`
`static void`
`glVertexAttribP1u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP1ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP2u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP2ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP3u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP3ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP4u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP4ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexP2u(int type, IntBuffer value)`
`static void`
`glVertexP2ui(int type, int value)`
`static void`
`glVertexP3u(int type, IntBuffer value)`
`static void`
`glVertexP3ui(int type, int value)`
`static void`
`glVertexP4u(int type, IntBuffer value)`
`static void`
`glVertexP4ui(int type, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SRC1_COLOR

public static final int GL_SRC1_COLOR
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC1_COLOR

public static final int GL_ONE_MINUS_SRC1_COLOR
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC1_ALPHA

public static final int GL_ONE_MINUS_SRC1_ALPHA
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

public static final int GL_MAX_DUAL_SOURCE_DRAW_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED

public static final int GL_ANY_SAMPLES_PASSED
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_SAMPLER_BINDING

public static final int GL_SAMPLER_BINDING
Accepted by the <value> parameter of the GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev functions:

See Also:
  - Constant Field Values

### GL_RGB10_A2UI

public static final int GL_RGB10_A2UI
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, RenderbufferStorage and RenderbufferStorageMultisample:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_R

public static final int GL_TEXTURE_SWIZZLE_R
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_G

public static final int GL_TEXTURE_SWIZZLE_G
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_B

public static final int GL_TEXTURE_SWIZZLE_B
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_A

public static final int GL_TEXTURE_SWIZZLE_A
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_RGBA

public static final int GL_TEXTURE_SWIZZLE_RGBA
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TIME_ELAPSED

public static final int GL_TIME_ELAPSED
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_TIMESTAMP

public static final int GL_TIMESTAMP
Accepted by the <target> parameter of GetQueryiv and QueryCounter. Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_DIVISOR

public static final int GL_VERTEX_ATTRIB_ARRAY_DIVISOR
Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, and GetVertexAttribiv:

See Also:
  - Constant Field Values

### GL_INT_2_10_10_10_REV

public static final int GL_INT_2_10_10_10_REV
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*

See Also:
  - Constant Field Values

## Method Details

### glBindFragDataLocationIndexed

public static void glBindFragDataLocationIndexed(int program, int colorNumber, int index, ByteBuffer name)

### glBindFragDataLocationIndexed

public static void glBindFragDataLocationIndexed(int program, int colorNumber, int index, CharSequence name)
Overloads glBindFragDataLocationIndexed.

### glGetFragDataIndex

public static int glGetFragDataIndex(int program, ByteBuffer name)

### glGetFragDataIndex

public static int glGetFragDataIndex(int program, CharSequence name)
Overloads glGetFragDataIndex.

### glGenSamplers

public static void glGenSamplers(IntBuffer samplers)

### glGenSamplers

public static int glGenSamplers()
Overloads glGenSamplers.

### glDeleteSamplers

public static void glDeleteSamplers(IntBuffer samplers)

### glDeleteSamplers

public static void glDeleteSamplers(int sampler)
Overloads glDeleteSamplers.

### glIsSampler

public static boolean glIsSampler(int sampler)

### glBindSampler

public static void glBindSampler(int unit, int sampler)

### glSamplerParameteri

public static void glSamplerParameteri(int sampler, int pname, int param)

### glSamplerParameterf

public static void glSamplerParameterf(int sampler, int pname, float param)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, IntBuffer params)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, FloatBuffer params)

### glSamplerParameterI

public static void glSamplerParameterI(int sampler, int pname, IntBuffer params)

### glSamplerParameterIu

public static void glSamplerParameterIu(int sampler, int pname, IntBuffer params)

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, IntBuffer params)

### glGetSamplerParameteri

public static int glGetSamplerParameteri(int sampler, int pname)
Overloads glGetSamplerParameteriv.

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, FloatBuffer params)

### glGetSamplerParameterf

public static float glGetSamplerParameterf(int sampler, int pname)
Overloads glGetSamplerParameterfv.

### glGetSamplerParameterI

public static void glGetSamplerParameterI(int sampler, int pname, IntBuffer params)

### glGetSamplerParameterIi

public static int glGetSamplerParameterIi(int sampler, int pname)
Overloads glGetSamplerParameterIiv.

### glGetSamplerParameterIu

public static void glGetSamplerParameterIu(int sampler, int pname, IntBuffer params)

### glGetSamplerParameterIui

public static int glGetSamplerParameterIui(int sampler, int pname)
Overloads glGetSamplerParameterIuiv.

### glQueryCounter

public static void glQueryCounter(int id, int target)

### glGetQueryObject

public static void glGetQueryObject(int id, int pname, LongBuffer params)

### glGetQueryObject

@Deprecated public static long glGetQueryObject(int id, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetQueryObjecti64(int, int)` instead.
Overloads glGetQueryObjecti64v.

### glGetQueryObjecti64

public static long glGetQueryObjecti64(int id, int pname)
Overloads glGetQueryObjecti64v.

### glGetQueryObjectu

public static void glGetQueryObjectu(int id, int pname, LongBuffer params)

### glGetQueryObjectu

@Deprecated public static long glGetQueryObjectu(int id, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetQueryObjectui64(int, int)` instead.
Overloads glGetQueryObjectui64v.

### glGetQueryObjectui64

public static long glGetQueryObjectui64(int id, int pname)
Overloads glGetQueryObjectui64v.

### glVertexAttribDivisor

public static void glVertexAttribDivisor(int index, int divisor)

### glVertexP2ui

public static void glVertexP2ui(int type, int value)

### glVertexP3ui

public static void glVertexP3ui(int type, int value)

### glVertexP4ui

public static void glVertexP4ui(int type, int value)

### glVertexP2u

public static void glVertexP2u(int type, IntBuffer value)

### glVertexP3u

public static void glVertexP3u(int type, IntBuffer value)

### glVertexP4u

public static void glVertexP4u(int type, IntBuffer value)

### glTexCoordP1ui

public static void glTexCoordP1ui(int type, int coords)

### glTexCoordP2ui

public static void glTexCoordP2ui(int type, int coords)

### glTexCoordP3ui

public static void glTexCoordP3ui(int type, int coords)

### glTexCoordP4ui

public static void glTexCoordP4ui(int type, int coords)

### glTexCoordP1u

public static void glTexCoordP1u(int type, IntBuffer coords)

### glTexCoordP2u

public static void glTexCoordP2u(int type, IntBuffer coords)

### glTexCoordP3u

public static void glTexCoordP3u(int type, IntBuffer coords)

### glTexCoordP4u

public static void glTexCoordP4u(int type, IntBuffer coords)

### glMultiTexCoordP1ui

public static void glMultiTexCoordP1ui(int texture, int type, int coords)

### glMultiTexCoordP2ui

public static void glMultiTexCoordP2ui(int texture, int type, int coords)

### glMultiTexCoordP3ui

public static void glMultiTexCoordP3ui(int texture, int type, int coords)

### glMultiTexCoordP4ui

public static void glMultiTexCoordP4ui(int texture, int type, int coords)

### glMultiTexCoordP1u

public static void glMultiTexCoordP1u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP2u

public static void glMultiTexCoordP2u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP3u

public static void glMultiTexCoordP3u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP4u

public static void glMultiTexCoordP4u(int texture, int type, IntBuffer coords)

### glNormalP3ui

public static void glNormalP3ui(int type, int coords)

### glNormalP3u

public static void glNormalP3u(int type, IntBuffer coords)

### glColorP3ui

public static void glColorP3ui(int type, int color)

### glColorP4ui

public static void glColorP4ui(int type, int color)

### glColorP3u

public static void glColorP3u(int type, IntBuffer color)

### glColorP4u

public static void glColorP4u(int type, IntBuffer color)

### glSecondaryColorP3ui

public static void glSecondaryColorP3ui(int type, int color)

### glSecondaryColorP3u

public static void glSecondaryColorP3u(int type, IntBuffer color)

### glVertexAttribP1ui

public static void glVertexAttribP1ui(int index, int type, boolean normalized, int value)

### glVertexAttribP2ui

public static void glVertexAttribP2ui(int index, int type, boolean normalized, int value)

### glVertexAttribP3ui

public static void glVertexAttribP3ui(int index, int type, boolean normalized, int value)

### glVertexAttribP4ui

public static void glVertexAttribP4ui(int index, int type, boolean normalized, int value)

### glVertexAttribP1u

public static void glVertexAttribP1u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP2u

public static void glVertexAttribP2u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP3u

public static void glVertexAttribP3u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP4u

public static void glVertexAttribP4u(int index, int type, boolean normalized, IntBuffer value)